__gnu_cxx::project1st< _Arg1, _Arg2 >(3cxx)

NAME
__gnu_cxx::project1st< _Arg1, _Arg2 > - An SGI extension .

SYNOPSIS

#include <functional>

  Public Types

typedef _Arg1 first_argument_type
first_argument_type is the type of the first argument
typedef _Arg1 result_type
result_type is the return type
typedef _Arg2 second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions

_Arg1 operator() (const _Arg1 &__x, const _Arg2 &) const

Detailed Description

  template<class _Arg1, class _Arg2>
struct __gnu_cxx::project1st< _Arg1, _Arg2 >"An SGI extension .

Member Typedef Documentation

  typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Arg1 >::first_argument_type [inherited]

first_argument_type is the type of the first argument

  typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Arg1 >::result_type [inherited]

result_type is the return type

  typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Arg1 >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.